Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Class QizxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.qizx.api.QizxException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CompilationException, DataModelException, EvaluationException

    public class QizxException

extends Exception

Super-class of all exceptions of the API.

See Also:
  Serialized Form

Constructor Summary
`QizxException(QName errorCode, String message)` Constructs a QizxException with a message and an XQuery error code.
`QizxException(String message)` Constructs a QizxException from a simple message.
`QizxException(String message, Throwable cause)` Constructs a QizxException from a simple message and an exception.

Method Summary
`QName` | `getErrorCode()` Gets the error code.
`void` | `setErrorCode(QName errorCode)` Defines the XQuery error code.
`void` | `setErrorCode(String errorCode)` Defines the XQuery error code.
`void` | `substituteCode(String oldCode, String newCode)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QizxException

    public QizxException(String message)

  Constructs a QizxException from a simple message. The error code is undefined.

  Parameters:
    `message` - reason for the exception

### QizxException

    public QizxException(String message,
                         Throwable cause)

  Constructs a QizxException from a simple message and an exception. The error code is undefined.

  Parameters:
    `message` - reason for the exception
    `cause` - wrapped cause

### QizxException

    public QizxException(QName errorCode,
                         String message)

  Constructs a QizxException with a message and an XQuery error code.

  Parameters:
    `errorCode` - the QName of the error (in principle the XQuery error namespace `http://www.w3.org/2005/xqt-errors`)
    `message` - reason for the exception

Method Detail

### getErrorCode

    public QName getErrorCode()

  Gets the error code.

  Returns:
    the errorCode, generally a XQuery error code.

### setErrorCode

    public void setErrorCode(QName errorCode)

  Defines the XQuery error code. The namespace of the code is normally "http://www.w3.org/2005/xqt-errors".

  Parameters:
    `errorCode` - XQuery code such as XPTY0004

### setErrorCode

    public void setErrorCode(String errorCode)

  Defines the XQuery error code. The implicit namespace of the code is "http://www.w3.org/2005/xqt-errors".

  Parameters:
    `errorCode` - XQuery code such as XPTY0004

### substituteCode

    public void substituteCode(String oldCode,
                               String newCode)
                        throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD